Copy PageCreate a userpost https://vision-api.truepic.{tld}/v3/usersBody ParamsThe request body for POST /usersemailstringrequiredThe email address of the user.first_namestringrequiredThe first name of the user.last_namestringrequiredThe last name of the user.rolestringenumrequiredA role to assign to the user. This will dictate what permissions the user has in the Vision system.VISION_AGENT_ADMINVISION_AGENT_REPORTVISION_AGENTVISION_AGENT_OWN_INSPECTIONSVIEW_ONLYAllowed:VISION_AGENT_ADMINVISION_AGENT_REPORTVISION_AGENTVISION_AGENT_OWN_INSPECTIONSVIEW_ONLYteamsarray of numbersrequiredA list of team IDs. This will update the teams that the user is assigned to.teams*ADD numberResponses 201The user was created. 400Validation error, or the email's login is already linked to another Vision user (error_code: auth_zero_account_linked_to_other_user). 401Authentication failed, or the user/client doesn't have permission to access the requested resource. 403The user doesn't have permission to access the requested resource. 404The requested resource couldn't be found. 412A request precondition failed. Some operations also return 412 when a related resource is not found, such as an assigned member when updating an inspection. Missing required fields normally return 400. Check the operation and message for the failed precondition. 500An unexpected error occurred.Updated 6 months ago Get a list of usersGet a userDid this page help you?YesNo